searchData={"items":[{"type":"module","title":"NLdoc.Conversion.Reader.Tiptap","doc":"Reader for convert_elementing Tiptap elements to Spec Resources.","ref":"NLdoc.Conversion.Reader.Tiptap.html"},{"type":"function","title":"NLdoc.Conversion.Reader.Tiptap.convert/1","doc":"Converts Tiptap document to a NLdoc document.","ref":"NLdoc.Conversion.Reader.Tiptap.html#convert/1"},{"type":"type","title":"NLdoc.Conversion.Reader.Tiptap.tiptap_attribute/0","doc":"","ref":"NLdoc.Conversion.Reader.Tiptap.html#t:tiptap_attribute/0"},{"type":"type","title":"NLdoc.Conversion.Reader.Tiptap.tiptap_attribute_value/0","doc":"","ref":"NLdoc.Conversion.Reader.Tiptap.html#t:tiptap_attribute_value/0"},{"type":"module","title":"NLdoc.Conversion.Reader.Tiptap.Attribute","doc":"Module for applying Tiptap attributes to Spec resource","ref":"NLdoc.Conversion.Reader.Tiptap.Attribute.html"},{"type":"function","title":"NLdoc.Conversion.Reader.Tiptap.Attribute.apply/3","doc":"Applies all Tiptap attributes (`{ \"attrs\": ... }`) to the resource.","ref":"NLdoc.Conversion.Reader.Tiptap.Attribute.html#apply/3"},{"type":"function","title":"Examples - NLdoc.Conversion.Reader.Tiptap.Attribute.apply/3","doc":"iex> alias NLdoc.Conversion.Reader.Tiptap.Attribute\n    iex> Attribute.apply(%NLdoc.Spec.Image{}, %{\"assetId\" => \"123\"}, [source: \"assetId\"])\n    %NLdoc.Spec.Image{source: \"#123\"}","ref":"NLdoc.Conversion.Reader.Tiptap.Attribute.html#apply/3-examples"},{"type":"module","title":"NLdoc.Conversion.Reader.Tiptap.Mark","doc":"Module for applying Tiptap marks to Spec resource","ref":"NLdoc.Conversion.Reader.Tiptap.Mark.html"},{"type":"function","title":"NLdoc.Conversion.Reader.Tiptap.Mark.apply/2","doc":"Applies all of Tiptap's marks on text to text and link resources.","ref":"NLdoc.Conversion.Reader.Tiptap.Mark.html#apply/2"},{"type":"function","title":"Examples - NLdoc.Conversion.Reader.Tiptap.Mark.apply/2","doc":"iex> alias NLdoc.Conversion.Reader.Tiptap.Mark\n    iex> alias NLdoc.Spec.{Link, Text}\n    iex> Mark.apply(%Text{id: \"1\", text: \"Hello, world!\"}, [%{\"type\" => \"bold\"}])\n    %Text{id: \"1\", text: \"Hello, world!\", styling: [:bold]}\n    iex> Mark.apply(%Link{id: \"1\", text: \"Hello, world!\", uri: \"https://example.com\"},\n    ...>             [%{\"type\" => \"italic\"}, %{\"type\" => \"underline\"}])\n    %Link{id: \"1\", text: \"Hello, world!\", uri: \"https://example.com\",\n          styling: [:underline, :italic]}\n    iex> Mark.apply(%Text{id: \"1\", text: \"Hello, world!\"}, [%{\"type\" => \"notSupported\"}])\n    %Text{id: \"1\", text: \"Hello, world!\"}","ref":"NLdoc.Conversion.Reader.Tiptap.Mark.html#apply/2-examples"},{"type":"type","title":"NLdoc.Conversion.Reader.Tiptap.Mark.mark/0","doc":"","ref":"NLdoc.Conversion.Reader.Tiptap.Mark.html#t:mark/0"},{"type":"function","title":"NLdoc.Conversion.Reader.Tiptap.Mark.put/2","doc":"Puts a Tiptap mark on a Spec resource.","ref":"NLdoc.Conversion.Reader.Tiptap.Mark.html#put/2"},{"type":"function","title":"Examples - NLdoc.Conversion.Reader.Tiptap.Mark.put/2","doc":"iex> alias NLdoc.Conversion.Reader.Tiptap.Mark\n    iex> alias NLdoc.Spec.{Link, Text}\n    iex> Mark.put(%Text{id: \"1\", text: \"Hello, world!\"}, %{\"type\" => \"bold\"})\n    %Text{id: \"1\", text: \"Hello, world!\", styling: [:bold]}\n    iex> Mark.put(%Link{id: \"1\", text: \"Hello, world!\", uri: \"https://example.com\", styling: [:italic]},\n    ...>          %{\"type\" => \"underline\"})\n    %Link{id: \"1\", text: \"Hello, world!\", uri: \"https://example.com\",\n          styling: [:underline, :italic]}\n    iex> Mark.put(%Text{id: \"1\", text: \"Hello, world!\"}, %{\"type\" => \"notSupported\"})\n    %Text{id: \"1\", text: \"Hello, world!\"}","ref":"NLdoc.Conversion.Reader.Tiptap.Mark.html#put/2-examples"},{"type":"extras","title":"NLdoc.Conversion.Reader.Tiptap","doc":"# NLdoc.Conversion.Reader.Tiptap","ref":"readme.html"},{"type":"extras","title":"Installation - NLdoc.Conversion.Reader.Tiptap","doc":"Add `nldoc_conversion_reader_tiptap` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:nldoc_conversion_reader_tiptap, \"~> 1.0.0\"}\n  ]\nend\n```\n\nThen, fetch dependencies:\n\n```sh\nmix deps.get\n```","ref":"readme.html#installation"},{"type":"extras","title":"Documentation - NLdoc.Conversion.Reader.Tiptap","doc":"Detailed documentation is available at [HexDocs](https://hexdocs.pm/nldoc_conversion_reader_tiptap).","ref":"readme.html#documentation"},{"type":"extras","title":"License - NLdoc.Conversion.Reader.Tiptap","doc":"This project is licensed under the [EUPL-1.2 License](https://joinup.ec.europa.eu/software/page/eupl).","ref":"readme.html#license"},{"type":"extras","title":"Changelog","doc":"# Changelog\n\n## [1.1.3](https://gitlab.com/toegang-voor-iedereen/backend/lib/nldoc_conversion_reader_tiptap/compare/1.1.2...1.1.3) (2025-03-08)","ref":"changelog.html"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency nldoc_spec to v1.3.2 ([db5a4f5](https://gitlab.com/toegang-voor-iedereen/backend/lib/nldoc_conversion_reader_tiptap/commit/db5a4f5c80a7bc438b14e1edae9446d616c73631))\n\n## [1.1.2](https://gitlab.com/toegang-voor-iedereen/backend/lib/nldoc_conversion_reader_tiptap/compare/1.1.1...1.1.2) (2025-03-07)","ref":"changelog.html#bug-fixes"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency ex_doc to ~> 0.37 ([7432dfc](https://gitlab.com/toegang-voor-iedereen/backend/lib/nldoc_conversion_reader_tiptap/commit/7432dfc1f66fb2d7d179eb83615f28a282278b94))\n\n## [1.1.1](https://gitlab.com/toegang-voor-iedereen/backend/lib/nldoc_conversion_reader_tiptap/compare/1.1.0...1.1.1) (2025-03-03)","ref":"changelog.html#bug-fixes"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency nldoc_spec to v1.3.1 ([d46286b](https://gitlab.com/toegang-voor-iedereen/backend/lib/nldoc_conversion_reader_tiptap/commit/d46286bdfd65af7648bd25ad0122dac37d5ab316))\n\n# [1.1.0](https://gitlab.com/toegang-voor-iedereen/backend/lib/nldoc_conversion_reader_tiptap/compare/1.0.0...1.1.0) (2025-02-25)","ref":"changelog.html#bug-fixes"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **NLD-593:** Throw away images without asset id ([793c28c](https://gitlab.com/toegang-voor-iedereen/backend/lib/nldoc_conversion_reader_tiptap/commit/793c28ced1161953320365ddeacdd4b892363476))","ref":"changelog.html#bug-fixes"},{"type":"extras","title":"Features - Changelog","doc":"* **NLD-593:** Convert property decorative on Image ([60258de](https://gitlab.com/toegang-voor-iedereen/backend/lib/nldoc_conversion_reader_tiptap/commit/60258de9ae1802f2a90a656b5a3ecff796b7cf52))\n\n# 1.0.0 (2025-02-05)","ref":"changelog.html#features"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* formatter and dialyzer errors ([ae70419](https://gitlab.com/toegang-voor-iedereen/backend/lib/nldoc_conversion_reader_tiptap/commit/ae70419518d3bbcda17b89caa2ab567eb2ad5b90))","ref":"changelog.html#bug-fixes"},{"type":"extras","title":"Features - Changelog","doc":"* initial commit ([55af1b9](https://gitlab.com/toegang-voor-iedereen/backend/lib/nldoc_conversion_reader_tiptap/commit/55af1b915fcaa0250e5e5fc66c1e5f0d55de574f))","ref":"changelog.html#features"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.3"}}